netgen (6.2.2401+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Skip running test_mpi4py.py when debian/tests/netgen-test-python is
    triggered by debci on 32 bits archs. The pytest session seems to hang, and
    manually running the affected test on armhf shows
        Assertion failed in file
          src/mpi/datatype/typerep/src/typerep_dataloop_pack.c at line 136:
          FALSE
        memcpy argument memory ranges overlap, dst_=0x407ff6f8 src_=0x407ff6f4
          len_=8
        internal ABORT - process N

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 31 Aug 2024 07:06:11 +0000

netgen (6.2.2401+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add -ffloat-store to CXXFLAGS when building on i386. Closes: #1077513.
    Thanks to Adrian Bunk <bunk@debian.org> for the suggestion.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 10:20:05 +0000

netgen (6.2.2401+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to support opencascade 7.8.1 (Closes: #1071223)
    and add a versioned B-D constraint on it.

 -- Tobias Frost <tobi@debian.org>  Fri, 24 May 2024 21:57:58 +0200

netgen (6.2.2401+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063169

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:47:41 +0000

netgen (6.2.2401+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 12:44:18 +0100

netgen (6.2.2305+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * new upstream release in unstable. Closes: #1016430.
  * debian/tests: skip the MPI python test on i386 and armhf,
    where it is found to unreliably segfault
  * update debian patch size_t_int32.patch to define pyngcore.Array_I_S
    as Array_I_U on 32 bit systems where it is not defined by
    python_ngcore_export.cpp. Then tests do not require patching.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Nov 2023 13:36:54 +0100

netgen (6.2.2305+dfsg1-1exp6) experimental; urgency=medium

  * Team upload.
  * update debian/tests
    - cpp test Depends: netgen
      (needed since referenced by cmake config files)
    - python test Depends: gcc
      (needed to use dpkg-architecture without CC warning in stderr)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Nov 2023 09:03:36 +0100

netgen (6.2.2305+dfsg1-1exp5) experimental; urgency=medium

  * Team upload.
  * libnglib-dev Depends: pybind11-dev, since netgen was built with
    python support (NETGEN_PYTHON is set in core/register_archive.hpp).
  * libnglib-dev Recommends: python3-netgen, since cmake config files
    reference python extension module libngpy. Recommends not Depends,
    since libnglib-dev could be used without cmake.
  * debian/tests: split tests into cpp and python tests to allow
    skipping selected python tests (the same set from
    test_tutorials.py::test_geoFiles skipped in build tests)

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Nov 2023 20:26:52 +0100

netgen (6.2.2305+dfsg1-1exp4) experimental; urgency=medium

  * Team upload.
  * debian/tests Depends: mpi-default-dev
  * i386: skip build tests boxcyl.geo-mp10-4 hinge.stl-mp95-1 lense
    square
  * debian patch link_atomic.patch links libngcore.so with libatomic
    on systems where atomic symbols are not provided internally (some
    32-bit arches including armel, m68k, powerpc, sh4). Link as
    INTERFACE not PRIVATE (or PUBLIC) since libngcore.so itself does
    not use atomic symbols (they are used inline in core/utils.hpp).
    cf. https://github.com/google/highway/pull/1008 for the pattern.

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Nov 2023 16:42:31 +0100

netgen (6.2.2305+dfsg1-1exp3) experimental; urgency=medium

  * Team upload.
  * provide all official (public) installed headers in libnglib-dev.
    Only provide private (libsrc) headers in netgen-headers, moved to
    /usr/share/netgen/libsrc. File a bug report if salome has fixed
    their build so we can drop netgen-headers (see Bug#683661).
  * update debian patch size_t_int32.patch to avoid "redefinition" of
    Array<size_t> in 32-bit python bindings. This means
    pyngcore.Array_I_S is not available on 32 bit systems
    (use Array_I_U instead).

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Nov 2023 19:53:47 +0100

netgen (6.2.2305+dfsg1-1exp2) experimental; urgency=medium

  * Team upload.
  * skip a subset of build tests on non-amd64 architectures
    From test_tutorials.py::test_geoFiles: skip a subset from
    boxcyl.geo, cylsphere.geo, hinge.stl, part1.stl, sculpture.geo,
    sphereincube.geo, twobricks.geo, twocubes.geo
    (see upstream Issue #167)
  * debian patch size_t_int32.patch skips definition of TablePrefixSum
    (FlatArray<size_t>) on 32-bit systems where size_t = unsigned int.
    (see upstream Issue #168)
  * fix renaming of python extension .so in cmake config file

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Nov 2023 13:23:20 +0100

netgen (6.2.2305+dfsg1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies or deprecates debian patches add-sse-guard.patch,
      fix-arm-pickling.patch, fix-occt-7.4.patch,
      fix-occt-7.6.0-ftbfs-*.patch, fix-pybind11-include.patch
    - configure pybind11 with PREFER_SYSTEM_PYBIND11=ON
    - fixes MPI initialisation. Closes: #910247.
  * update debian patch catch2_v3.patch to new catch test files
  * update debian/watch to uscan version 4
  * configure with BUILD_STUB_FILES=OFF. Stub files (which improve
    autocompletion) require pybind11-stubgen, which is not (yet)
    packaged for Debian.
  * add debian patches
    - fix_nggui_tcl.patch repairs TCL include path for the
      nggui (occ) target. cf. upstream Issue#166.
    - no_pytest_check.patch disables use of pytest_check, which is not
      (yet) packaged for Debian.
    - cmake_install_dir.patch uses GNUInstallDirs to set install dirs
      Closes: #1033129, #924300.
    - ffmpeg_link_libraries.patch links libnggui to FFMPEG_LIBRARIES
      cf. upstream issue #157. Closes: #751344.
  * update debian patch fix-version.patch to use MAJOR.MINOR soversion
    - set version using NETGEN_VERSION_GIT via debian changelog
    - provide NETGEN_VERSION_GIT in generate_version_file rule
  * build with CMAKE_SKIP_RPATH=ON
  * doc package includes ng4.pdf (v4 documentation)
    - register with doc-base
  * mark netgen-doc Multi-Arch: foreign
  * activate JPEG and MPEG (avcodec) support. Closes: #751344.
    - Build-Depends: libavformat-dev
      (which depends on libavcodec-dev, libavutil-dev)
  * activate MPI support on all arches
    - Build-Depends: mpi-default-dev, python3-mpi4py
  * Build-Depends: libtbb-dev (not used directly by netgen, should
    one of the dependencies be declaring it?)
  * debian/rules: after dh_python3, update location of python
    extension libraries listed in netgen's cmake config files
    (dh_python3 injects a cython tag). Apply to default python version.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Nov 2023 20:47:57 +0100

netgen (6.2.2006+really6.2.1905+dfsg-11) unstable; urgency=medium

  * Team upload.
  * debian/tests Restrictions: allow-stderr to aid migration to
    testing. c++/13/functional on armel and armhf emits warnings to
    stderr when used by catch2 v2. Remove restriction later after
    catch2 v3 has migrated to testing.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Nov 2023 09:55:44 +0100

netgen (6.2.2006+really6.2.1905+dfsg-10) unstable; urgency=medium

  * Team upload.
  * update debian patch catch2_v3.patch to use catch2 subdir when
    #including old catch2 v2. Then no need to define CATCH_INCLUDE_DIR.

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Nov 2023 20:16:57 +0100

netgen (6.2.2006+really6.2.1905+dfsg-9) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: catch2

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Nov 2023 12:58:38 +0100

netgen (6.2.2006+really6.2.1905+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: netgen, python3-pybind11
  * libnglib-dev Recommends: netgen
    (netgen's cmake config files expect /usr/bin/netgen)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Nov 2023 17:36:57 +0100

netgen (6.2.2006+really6.2.1905+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: gcc, g++, python3-dev
    (aiming to test a minimal installation without using @builddeps@)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Nov 2023 11:35:03 +0100

netgen (6.2.2006+really6.2.1905+dfsg-6) unstable; urgency=medium

  * Team upload.
  * debian patch catch2_v3.patch enables test build with catch2 v3
    Closes: #1054678.
  * dh_clean removes python test cache files. Closes: #1048629.
  * debian patch test_runtime.patch enables runtime test configuration
  * debian/tests/netgen-test builds and runs runtime tests
    (without rebuilding netgen libraries)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Nov 2023 02:03:32 +0100

netgen (6.2.2006+really6.2.1905+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload package with patchset for opencascade 7.6.3, thanks to Andreas
    Hasenack providing the patch. (Closes: #1014964)

 -- Tobias Frost <tobi@debian.org>  Tue, 16 Aug 2022 08:15:04 +0200

netgen (6.2.2006+really6.2.1905+dfsg-5) unstable; urgency=medium

  * [a301dc9] Add upstream arm pickling fix patch (Closes: #995416, #984439)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Tue, 04 Jan 2022 23:26:20 -0600

netgen (6.2.2006+really6.2.1905+dfsg-4) unstable; urgency=medium

  * [cf1e0f1] Add build-needed restriction for autopkgtest

 -- Kurt Kremitzki <kkremitzki@debian.org>  Tue, 07 Sep 2021 23:57:11 -0500

netgen (6.2.2006+really6.2.1905+dfsg-3) unstable; urgency=medium

  * [ed9fb04] Add catch2 dep for tests
  * [4ae0642] Add patch to use Debian copy of catch2
  * [6f8a1dd] Add build flags to enable unit tests
  * [6d4e460] Update autopkgtest to use upstream tests instead of superficial
    import (Closes: #993533)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 06 Sep 2021 23:05:56 -0500

netgen (6.2.2006+really6.2.1905+dfsg-2) unstable; urgency=medium

  [ Christophe Trophime ]
  * [5426125] Fix running tests
  * [96e65ea] Fix rules

  [ Kurt Kremitzki ]
  * [3456ac2] Replace spaces with tabs
  * [3fdb5a6] Add python3-numpy dep
  * [92e131e] Add python3-tk dep
  * [bb4e28b] Remove --parallel flag already set by current compat level
  * [3fb3792] Note that public domain license is verbatim

 -- Kurt Kremitzki <kkremitzki@debian.org>  Mon, 21 Dec 2020 14:21:12 -0600

netgen (6.2.2006+really6.2.1905+dfsg-1) unstable; urgency=medium

  * [ec0fdfc] New upstream version 6.2.2006+really6.2.1905+dfsg
  * [68c2282] Refresh patches
  * [9d5c4b3] Add missing libocct-modeling-algorithms-dev dep
  * [b0be36e] Add patch for OCCT 7.4
  * [d394f7b] Add patch to support non-x86 builds (Closes: #975089, #974136)
  * [59c007a] Update netgen-headers install file
  * [6b37be2] Remove unneeded override
  * [5b49923] Add mpi-default-bin dep (Closes: #935797)
  * [8c662eb] Revise documentation of copyright (Closes: #968731)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 19 Nov 2020 14:00:15 -0600

netgen (6.2.2006+dfsg-1) unstable; urgency=medium

  * [dfab5bc] Update Files-Excluded for bundled togl copies
  * [a5108b5] New upstream version 6.2.2006+dfsg
  * [2041bca] Add lintian-overrides for maintainer email
  * [f63cbb6] Update to Standards-Version 4.5.0
  * [0b90601] Add debian/ to d/copyright
  * [a18675c] Add remove-git-dep.patch
  * [1e74503] Add remove-togl.patch
  * [d5374dc] Refresh patches
  * [cbaae27] Update installation files
  * [c1fa496] Add fix-version.patch
  * [06c2783] Refresh patches
  * [74b6427] fix lgpl-2+ standalone license and hardcoded version
  * [8cf8e81] Correct Uploaders email
  * [fd97ebf] Add fix-national-encoding.patch
  * [3afb0a5] Fix desktop file

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sun, 09 Aug 2020 16:46:38 -0500

netgen (6.2.1905+dfsg1-1) unstable; urgency=medium

  * [b11ff5d] New upstream version 6.2.1905+dfsg1
  * [962d15c] Fix opencascade include path
  * [b3ffab5] Add fix-pybind11-include.patch
  * [d600d49] Update missing files

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 21 Jul 2019 01:32:26 -0500

netgen (6.2.1810+dfsg1-1) unstable; urgency=medium

  [ Kurt Kremitzki ]
  * [bcd99bb] New upstream version 6.2.1810+dfsg1
  * [89d2030] Add Replaces to handle libnglib rename

  [ Anton Gladky ]
  * [c08e683] Add Breaks-section in d/control


 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 27 Jan 2019 04:12:57 -0600

netgen (6.2.1804+dfsg1-2) unstable; urgency=medium

  * [a2eccc0] Disable native arch builds

 -- Kurt Kremitzki <kurt@kwk.systems>  Fri, 28 Dec 2018 21:48:38 -0600

netgen (6.2.1804+dfsg1-1) unstable; urgency=medium

  * [86ccafe] Fix missing libnglib dependency for netgen binary

 -- Kurt Kremitzki <kurt@kwk.systems>  Fri, 03 Aug 2018 20:19:51 -0500

netgen (6.2.1804+dfsg1-1~exp2) experimental; urgency=medium

  * Add SSE guard patch to fix non-x86 builds
  * Only use MPI on appropriate build arches

 -- Kurt Kremitzki <kurt@kwk.systems>  Fri, 27 Jul 2018 13:48:52 -0500

netgen (6.2.1804+dfsg1-1~exp1) experimental; urgency=medium

  [ Kurt Kremitzki ]
  * Updated for upstream release 6.2.1804
  * Changed dependency from liboce->libocct
  * Autotools->cmake
  * Support for Python 3 bindings package python3-netgen

  [ Anton Gladky ]
  * Remove myself from uploaders

 -- Kurt Kremitzki <kkremitzki@gmail.com>  Sat, 09 Jun 2018 17:32:28 -0500

netgen (4.9.13.dfsg-11) unstable; urgency=medium

  * [f9d1707] Disable deprecated in oce functions

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Sep 2017 21:17:40 +0200

netgen (4.9.13.dfsg-10) unstable; urgency=medium

  * [f5aa1b2] Mark libnglib-4.9.13 as Multi-Arch: same
  * [5db4cfb] Update d/watch.
  * [c2dc4fc] Remove readme-files.
  * [2265ee3] Remove netgen.maintscript
  * [75b9e90] Install some more headers.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jul 2017 20:04:53 +0200

netgen (4.9.13.dfsg-9) unstable; urgency=medium

  * [f6e3fde] Use dh 10 instead of cdbs. Simplify d/rules.
  * [46777a6] Move manpages into debian/manpages.
  * [c1dcc84] Install all tcl-files.
  * [dcc5d61] Drop executable flag in tcl
  * [f32f653] Fix startup-crash. (Closes: #782361)
  * [2df4370] Remove tix-dev from depends of netgen. (Closes: #736402)
  * [f4d1b41] Remove Christophe from uploaders. (Closes: #835018)
  * [96633b5] Add netgen-doc in suggests-section of netgen. (Closes: #849901)
  * [c11431b] Add myself to uploaders.
  * [028961d] Use DEP-5 for d/copyright.
  * [1a813c8] Apply cme fix dpkg.
  * [b68a25e] Fix indent in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jul 2017 17:03:28 +0200

netgen (4.9.13.dfsg-8) unstable; urgency=medium

  * Team upload.
  * Patch netgen to set NETGENDIR if not already set. (Closes: #648047)
  * Remove /etc/profile.d/netgen.{csh,sh}. (Closes: #671186)

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Dec 2013 10:15:08 +0100

netgen (4.9.13.dfsg-7) unstable; urgency=low

  * Drop quilt.mk and quilt build-depends, as otherwise patches are
    unapplied before autoreconf and thus this package FTBFS, as without
    patches autoreconf fails. Closes: #713306

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 22 Aug 2013 20:50:56 +0100

netgen (4.9.13.dfsg-6) unstable; urgency=low

  * Team upload.
  * Fix automake1.13 FTBFS at autoreconf. Closes: #713306
  * Disable ffmpeg/avcodec, GPL incompatible + needs porting to new
    api. Closes: #618968

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 23:29:59 +0100

netgen (4.9.13.dfsg-5) experimental; urgency=low

  * Team upload.
  * Use libjpeg-dev not libjpeg62-dev (closes: #644069).
  * Fix build against oce 0.10 (closes: #677558).
  * Tweak debian/rules to fix building twice in a row.
  * Fix libnglib-4.9.13 short description.
  * Add netgen-headers package providing internal headers (closes: #683661)
  * Bump oce build-dependencies to 0.10.

 -- Julien Cristau <julien.cristau@logilab.fr>  Tue, 27 Nov 2012 10:53:26 +0100

netgen (4.9.13.dfsg-4) unstable; urgency=low

  [ Denis Barbier ]
  * Switch from OpenCASCADE to OCE (closes: #659132).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 06 Mar 2012 11:17:32 -0500

netgen (4.9.13.dfsg-3) unstable; urgency=low

  * Versioned Depends on libopencascade-modeling-dev (closes: #619931).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 11 Apr 2011 18:04:44 -0400

netgen (4.9.13.dfsg-2) unstable; urgency=low

  * Patched to work with OpenCASCADE 6.5.0 (closes: #619931).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 01 Apr 2011 17:14:50 -0400

netgen (4.9.13.dfsg-1) unstable; urgency=low

  [ Reinhard Tartler ]
  * Add a flag to unbreak building with FFmpeg 0.6 (closes: #588982)

  [ Adam C. Powell, IV ]
  * New upstream (closes: #586786).
  * Quoted Adam Powell's name in the changelog (closes: #591770).
  * Added debian/patches/quiltrc and refreshed patches.
  * Bumped Standards-Version.
  * Added lintian overrides file.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 21 Oct 2010 23:48:28 -0400

netgen (4.9.12.dfsg-3) unstable; urgency=low

  * Added automake to Build-Depends (closes: #580516).
  * Moved to Debian Science git repository and updated control accordingly.
  * Move aside autotools-related files during configuration and cleaning.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 14 May 2010 15:50:02 -0400

netgen (4.9.12.dfsg-2) unstable; urgency=low

  [ Christophe Trophime ]
  * debian/control : added autoconf (Closes: #578292)
  * debian/watch : added dversionmangle
  * Change netgen icon

  [ Adam C. Powell, IV ]
  * Changed netgen.desktop to set NETGENDIR variable.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 04 May 2010 06:41:35 -0400

netgen (4.9.12.dfsg-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release (Closes: #514621).
  * debian/watch: added

  [ Adam C. Powell, IV ]
  * Bumped Standards-Version.
  * Forward-ported netgen-missing-symbols.patch.
  * Simplified rules considerably for new autotools build system.
  * Added OpenCASCADE support (Closes: #506523).
  * Added -release versioning to libnglib and changed shlib package name from
    libnetgen4.9 to libnglib-4.9.12.
  * Changed source format to 3.0 (quilt).
  * Added autotools-dev and libtool to Build-Depends.
  * Updated README.Debian.
  * Removed doc/ng4.pdf because there's no source for it.

  [ Christophe Trophime ]
  * Add support for jpeglib
  * Add support for ffmpeg
  * Disable netgen profiling
  * Add missing man pages
  * Add /usr/share/netgen which contains *.tcl
  * Setting NETGENDIR to /usr/share/netgen in /etc/profile.d/*sh
  * Fix permissions on tcl scripts in /usr/share/netgen
  * Move netgen.ocf to /usr/share/netgen
  * Added libbz2-dev to debian/control
  * Add menu entry for netgen

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 12 Apr 2010 22:24:17 -0400

netgen (4.4-15) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "patch depends on changes from .diff.gz", thanks to Raphael
    Hertzog (Closes: #485181).
  * Bug fix: "obsolete binaries need to be removed", thanks to Frank
    Lichtenheld (Closes: #490750).

  [Daniel Leidert]
  * debian/copyright: Completed.

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 09 Nov 2008 12:47:59 +0100

netgen (4.4-14) unstable; urgency=low

  * debian/control: do not build on alpha, hppa and m68k

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 26 Apr 2008 11:18:42 +0200

netgen (4.4-13) unstable; urgency=low

  * Bug fix: "netgen: Undefined symbols in libraries", thanks to Adam C
    Powell IV (Closes: #475323).
  * debian/rules: build depends on libgl1-mesa-dev|nvidia-glx-dev

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 13 Apr 2008 12:44:21 +0200

netgen (4.4-12) unstable; urgency=low

  * attempt to fix hppa build
  * Bug fix: "netgen: FTBFS: include/../ngstd/array.hpp:294: error:
    &#39;memcpy&#39; was not declared in this scope", thanks to Lucas
    Nussbaum (Closes: #474828).

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 09 Apr 2008 08:28:05 +0200

netgen (4.4-11) unstable; urgency=low

  [ Christophe Prud'homme ]
  * debian/rules: export LINK
  * fixed build on ia64 and possibly other archs
  * debian/patches/netgen-shlibs.patch: cleanup up LINKFLAGS2

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 07 Apr 2008 13:28:49 +0200

netgen (4.4-10) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control: Added Homepage field. Vcs fields transition. Fixed Vcs-Svn
    field.
  * debian/netgen-doc.doc-base: Fixed encoding of the file.
    (Abstract): Improved description.
    (Section): Fixed for doc-base 0.8.10.
  * debian/rules (clean): Fixed to build twice in a row.
  * debian/patches/stdlib.patch: Adjusted to compile with GCC 4.3 (closes:
    #454830).
  * debian/patches/netgen-shlibs.patch: Adjusted. Add linkages to resolve
    symbols for the libraries. Otherwise the library package dependencies will
    not be correct.
  * debian/patches/clean.patch: Removed. Not sufficient. Better be done in
    debian/rules.

  [ Christophe Prud'homme ]
  * debian/rules: export CC/CPLUSPLUS
  * Upload

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 07 Apr 2008 10:53:48 +0200

netgen (4.4-9) unstable; urgency=low

  * Bug fix: "netgen: clean target is insufficient", thanks to brian
    m. carlson (Closes: #455536).
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #454830).
  * Bug fix: "netgen: Interface lib is missing nglib.cpp", thanks to Adam
    C. Powell (Closes: #461929).
  * Bug fix: "netgen: Please add shared libs", thanks to Adam
    C. Powell (Closes: #462105).
  * debian/control: Fixed Depends for libnetgen
  * debian/control: Updated Standards-Version

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 08 Feb 2008 09:27:04 +0100

netgen (4.4-8) unstable; urgency=low

  [ Christophe Prud'homme ]
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #417451).

  [ Rafael Laboissiere ]
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source
    section

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 17 Jul 2007 06:32:28 +0200

netgen (4.4-7) unstable; urgency=low

  * Added g++ to Build-Depends, it might help build on arm
  * Updated Standards-Version to 3.7.2 (no change)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 30 Jul 2006 17:09:06 +0200

netgen (4.4-6) unstable; urgency=low

  * Bug fix: "netgen: FTBFS: cannot find -lXi", thanks to Daniel Schepler
    (Closes: #370176).
  * Make it compile with g++ 4.1

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri,  9 Jun 2006 08:00:29 +0200

netgen (4.4-5) unstable; urgency=low

  * Fixed netgen override disparity
  * Fixed tix dependency
  * Changed Maintainer to pkg-scicomp Alioth project and added myself to
    the list of Uploaders

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun,  9 Apr 2006 17:43:36 +0200

netgen (4.4-4) unstable; urgency=low

  * Bug fix: "netgen: does not run or missing dependency", thanks to
    Laurent Bonnaud (Closes: #359949).
  * Bug fix: "FTBFS with G++ 4.1: misc errors", thanks to Martin Michlmayr
    (Closes: #361336).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat,  8 Apr 2006 10:57:12 +0200

netgen (4.4-3) unstable; urgency=low

  * Fixed build-depends: added libxmu-dev

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 25 Mar 2006 13:49:40 +0100

netgen (4.4-2) unstable; urgency=low

  * Fixed build-depends

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 17 Mar 2006 19:33:04 +0100

netgen (4.4-1) unstable; urgency=low

  * Initial release Closes: #343082
  * applied patch by D. Barbier <barbier@linuxfr.org> to disable occ
  * Note to archive maintainer: I have added license.terms (tk license)
    and LICENSE.togl (close to tk license) to the archive and all
    copyright holders are listed in debian/copyright

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 18 Feb 2006 11:25:26 +0100
